Docs Rizler

Authorization

Refresh Token

POSThttps://app.aisync.link/oauth/token/refresh

Refresh Token#

Obtain a new access token using your refresh token. Use this endpoint when your access token expires to continue making API calls without requiring user re-authorization.

client_idstringpathrequired

Your OAuth client ID

client_secretstringpathrequired

Your OAuth client secret

grant_typestringpathrequired

Must be set to refresh_token for this flow

redirect_uristringpathrequired

The redirect URI registered with your OAuth client

refresh_tokenstringpathrequired

The refresh token obtained from the Generate Token endpoint

curl --location 'https://app.aisync.link/oauth/token/refresh' \
  --form 'client_id="{{client_id}}"' \
  --form 'client_secret="{{client_secret}}"' \
  --form 'grant_type="refresh_token"' \
  --form 'redirect_uri="{{redirect_uri}}"' \
  --form 'refresh_token="{{refresh_token}}"'
access_tokenstring

A new access token to use for API requests

refresh_tokenstring

A new refresh token (may be the same or different from the one provided)

token_typestring

The type of token, typically Bearer

expires_ininteger

The number of seconds until the new access token expires

Refresh your access token before it expires to ensure uninterrupted API access. Most applications refresh tokens proactively when they're close to expiration.